/* roboto-regular - latin */
@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: url('../fonts/roboto-v30-latin-regular.eot'); /* IE9 Compat Modes */
    src: local(''),
         url('../fonts/roboto-v30-latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
         url('../fonts/roboto-v30-latin-regular.woff2') format('woff2'), /* Super Modern Browsers */
         url('../fonts/roboto-v30-latin-regular.woff') format('woff'), /* Modern Browsers */
         url('../fonts/roboto-v30-latin-regular.ttf') format('truetype'), /* Safari, Android, iOS */
         url('../fonts/roboto-v30-latin-regular.svg#Roboto') format('svg'); /* Legacy iOS */
}

:root{
    /*Grund-Farbpalette: https://www.materialpalette.com/blue-grey/indigo */
    --akzentfarbe: #536DFE;
    --darkPrimary: #455A64;
    --lightPrimary: #CFD8DC;
    --primary: #607D8B;
    --text: #212121;
    --divider: #BDBDBD;
    --kontakt: #81a6b4;
    --section1: #d1eaff;
    --section2: #deecf2;
    --footer: var(--darkPrimary);
    --navlink: #d3d1d1;
    --cardBorder: #8c8c8c;
    --menueBar: #303F9F;
}

html {
    scroll-padding-top: 5rem; /*Prevent anchor from scrolling too far*/
}

/* Custom Font */
body{
    font-family: 'Roboto';
}

h2 {
    text-transform: uppercase;
    color: #000;
    text-align: center;
    font-size: 40px;
    padding-top: 25px;
    margin-bottom: 50px;
    padding-bottom: 3px;
    background-image: linear-gradient(var(--akzentfarbe), var(--akzentfarbe));
    background-size: 120px 0.1em;
    background-position-y: 100%;
    background-position-x: 50%;
    background-repeat: no-repeat;
}

/* Custom Section Backgrounds */
.section1 {
    background-color: var(--section1);
}
.section2 {
    background-color: var(--section2);
}

/* Custom Divider */
.divider-sec1-sec2 {
    height: 100px;
    background: linear-gradient(180deg, var(--section1) 0%, var(--section2) 100%);
}
.divider-sec2-sec1 {
    height: 100px;
    background: linear-gradient(180deg, var(--section2) 0%, var(--section1) 100%);
}

/* Custom Style Projekt-Überschriften */
.projekt-heading {
    /*text-decoration: underline;*/
    text-decoration-color: var(--darkPrimary);
    color: var(--text);
    font-size: 1.35rem;
}

/* Custom Style Leistungen-Überschriften */
.leistungen-heading {
    color: var(--text);
    font-size: x-large;
    text-decoration: underline;
    text-decoration-color: var(--darkPrimary);
}

/*Custom h3*/
h3 {
    text-decoration: underline;
    text-decoration-color: var(--darkPrimary);
    color: var(--text);
}

/* Custom Carousel Style */
.w-100 {
    width: 100% !important;
    height: 75vh;
    object-fit: cover;
}
@media only screen and (max-width:768px){
    .w-100{
        height: 50vh!important;
    }
}

/*Custom Navbar*/
.menu-bar {
    border-bottom: 0.1em solid var(--darkPrimary);
    background-color: var(--menueBar);
    color: #fff;
}
.nav-link {
    color: var(--navlink)!important;
    padding-bottom: 2px;
    background-image: linear-gradient(red, red);
    background-size: 0% 0.1em;
    background-position-y: 100%;
    background-position-x: 50%;
    background-repeat: no-repeat;
    transition: background-size 0.4s ease;
    font-size: 20px;
}
.nav-link.active{
    color: #fff!important;
}
.nav-link:hover {
    background-size: 100% 0.1em;
    color: #fff!important;
}
.menu-bar .navbar-toggler {
    outline: none!important;
    border: none!important;
}
.navbar-toggler-icon {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 0.8%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e")!important;
}
@media only screen and (max-width:768px){
    .nav-link{
        background-image: none!important;
    }
}

/* Wilkommenstext */
.heading-willkommen {
    display: inline-block;
    font-size: 30px;
    margin-bottom: 15px;
    background-image: linear-gradient(red, red);
    background-size: 75% 0.1em;
    background-position-y: 93%;
    background-position-x: 0%;
    background-repeat: no-repeat;
}
@media only screen and (max-width:404px){
    .heading-willkommen{
        background-size: 50% 0.1em;
        background-position-y: 100%;
    }
}
.willkommenstext {
    font-size: large;
    margin: 50px!important;
    margin-bottom: 20px!important;
    display: inline-block;
    border: 4px solid var(--akzentfarbe);
    padding: 40px;
    padding-bottom: 20px;
    padding-top: 20px;
    border-radius: 20px;
    background-color: white;
    align-items: center;
    align-self: center;
    text-align: left;
}
@media only screen and (max-width:768px){
    .willkommenstext{
        padding: 20px!important;
        margin: 0px!important;
    }
}

/* Custom Datenschutz-Styles*/
.heading-textbox-big-center {
    display: inline-block;
    font-size: 30px;
    margin-bottom: 15px;
    background-image: linear-gradient(var(--akzentfarbe), var(--akzentfarbe));
    background-size: 70% 0.1em;
    background-position-y: 93%;
    background-position-x: 50%;
    background-repeat: no-repeat;
    font-size: 35px;
}
@media only screen and (max-width:768px){
    .heading-textbox-big-center{
        background-size: 50% 0.1em;
        background-position-y: 100%;
    }
}

/* Custom Text-Boxen */
.textbox-big {
    font-size: large;
    margin: 50px;
    margin-top: 30px;
    display: inline-block;
    border: 4px solid var(--akzentfarbe);
    padding: 40px;
    padding-top: 30px;
    border-radius: 20px;
    background-color: white;
    align-items: center;
    align-self: center;
    text-align: left;
    word-break: break-word;
    word-wrap: break-word;
}
@media only screen and (max-width:768px){
    .textbox-datenschutz{
        padding: 20px!important;
        margin: 0px!important
    }
}

.text-box-heading {
    display: inline-block;
    border: 2px solid var(--cardBorder);
    padding: 10px;
    padding-top: 10px;
    border-radius: 15px;
    background-color: white;
    align-items: center;
    align-self: center;
    text-align: left;
}

.text-box-normal {
    display: inline-block;
    border: 2px solid var(--cardBorder);
    padding: 20px;
    padding-top: 10px;
    border-radius: 15px;
    background-color: white;
    align-items: center;
    align-self: center;
    text-align: left;
}



/*Footer*/
footer {
    text-align: center;
    padding: 3px;
    background-color: var(--footer);
    text-decoration: none;
    color: white;
}
footer ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
}
footer ul li {
    display: inline;
    padding-left: 10px;
    padding-right: 10px;
    float: center;
    font-size: 1.05rem;
}
footer ul li a {
    cursor: pointer;
    text-decoration: none;
    color: white;
}
footer ul li a:hover {
    cursor: pointer;
    text-decoration: none;
    color: white;
}

/*kontakt*/
#kontakt {
    background-image: linear-gradient(var(--darkPrimary), var(--darkPrimary));
    background-size: 100% 0.1em;
    background-position-y: 0%;
    background-position-x: 0%;
    background-repeat: no-repeat;
    background-color: var(--kontakt);
}
#contactdata{
    display: inline-block;
    border: 4px solid var(--akzentfarbe);
    padding: 0.75rem;
    border-radius: 10px;
    background-color: white;
    width: 356px;
    align-items: center;
    align-self: center;
    margin: auto;
    text-align: left;
}
#contactdata a:link {
    color: #000;
    transition: all .25s ease;
}
#contactdata a:hover {
    color: var(--akzentfarbe);
}
#contactdata a:visited {
    color: #000;
}

/*Zoom-Effect-Cards*/
.card {
    transition: transform .8s ease;
    position: relative;
    z-index: 0;
    border: 2px solid var(--cardBorder);
}
.card:hover {
    transform: scale(1.2);
    z-index: 1;
}
@media only screen and (max-width:768px){
    .card:hover{
        transform: none!important;
    }
}

.card-text{
    font-size: 18px;
}
.card-body{
    background-image: linear-gradient(var(--akzentfarbe), var(--akzentfarbe));
    background-size: 100% 0.1em;
    background-position-y: 0%;
    background-position-x: 0%;
    background-repeat: no-repeat;
}

.card-img-top {
    width: 100%;
    height: 275px;
    object-fit: cover;
    filter: blur(0.1rem);
    transition: all 1s ease-in-out;
}

.card:hover .card-img-top {
    filter: none;
}

.card:hover .card-title {
    transform: translate(0, 280%);
    text-shadow: none;
    background-color: rgba(0, 0, 0, 0.6);
    padding-top: 5px;
    padding-bottom: 5px;
}

.card-title {
    font-weight: bold;
    text-shadow: 0 0 1em #000, 0 0 0.7em #000, 0 0 0.4em #000;
    transition: all .8s ease-in-out;
}

.card-img-overlay {
    padding: 0!important;
}


/*GoogleMaps Blocker*/
#mapsBlocker {
    border: 2px solid var(--cardBorder);
    height: 250px;
    width: 350px;
    background: white;
    text-align: center;
    color: var(--cardBorder);
    margin: auto;
    padding-top: 30px;
}

#mapsBlockerContent {
    margin: 10px;
    line-height: 1.5;
    display: inline-block;
    vertical-align: middle;
}

#mapsBlockerContent a {
    color: var(--cardBorder);
    transition: all .15s ease-in-out;
}

#mapsBlockerContent a:hover {
    color: var(--akzentfarbe);
    cursor: pointer;
}

#btnMapsBlocker {
    background: var(--akzentfarbe);
    display: inline-block;
    padding: 10px;
    padding-left: 20px;
    padding-right: 20px;
    color:white;
    border-radius: 7px;
    transition: transform .8s ease;
}

#btnMapsBlocker:hover {
    transform: scale(1.05);
    cursor: pointer;
}

#checkboxMapsBlockerWrapper {
    display: block;
    padding: 10px;
    padding-left: 20px;
    padding-right: 20px;
}

label {
    transition: all .1s ease-in-out;
}

label:hover {
    cursor: pointer;
    color: var(--text);
}

/*Custom Bauaufträge*/
#bauauftraege{
    text-align: center;
}
#bauauftraege ul {
    list-style: none;
}
#bauauftraege h4 {
    text-decoration: underline;
    padding-top: 10px;
}

/*Bauauftragshinweis*/
.hinweisBox {
    font-size: large;
    margin:0px; 
    padding:16px;
}
.hinweisBox a{
    color: var(--akzentfarbe);
    transition: all 0.25s ease;
}
.hinweisBox a:hover{
    color: var(--menueBar);
}

/*auf jedes Carousel anwenden außer #carousel*/
.img-projekt-sized{
    object-fit: cover;
    object-position: center;
    overflow: hidden;
    width: 100%;
    height: 45vh;
    max-width: 100%;
}